Auto-rig / add a character | Uthana API Docs
Upload a 3D character model in FBX or GLB format to use with generated motions.
Learn more about Auto-rigging.
Step 1: Prepare your character file
- Supported formats:
.fbx,.glb,.gltf - File size must be less than 30MB
- Keep the file size reasonable to speed up auto-rigging
Step 2: Upload a character
- Shell
- Python
- TypeScript
- React
- C#
API_KEY="your-api-key"
CHARACTER_FILE="/path/to/character.fbx"
CHARACTER_NAME="My Character"
curl -X POST https://uthana.com/graphql \
-u $API_KEY: \
-F 'operations={\n "query": "mutation ($file: Upload!, $name: String!, $auto_rig: Boolean, $auto_rig_front_facing: Boolean, $rerig_target: String, $include_fingers: Boolean) { create_character(file: $file, name: $name, auto_rig: $auto_rig, auto_rig_front_facing: $auto_rig_front_facing, rerig_target: $rerig_target, include_fingers: $include_fingers) { character { id name } auto_rig_confidence } }",
"variables": { "file": null, "name": "